# numer

numerator

## Calling Sequence

    num=numer(R)

## Arguments

R

  rational or polynomial or constant matrix.

num

  polynomial matrix

## Description

Utility fonction. `num=numer(R)` returns the numerator `num` of a rational function matrix `R` (`R` may be also a constant or polynomial matrix). `numer(R)` is equivalent to `R(2)`, `R('num')` or `R.num`

## Examples

    h=(1+2*%s)/poly(1:4,'s','c');
    denom(h)
    numer(h)

    s=poly(0,"s");
    p=1+s+2*s^2;
    denom(p) // Should return 1
    numer(p)

## See Also

- denom